const cleanDocument = document =>
  Object.entries(document)
    .filter(
      ([key, value]) =>
        // Filter nil
        value !== undefined &&
        value !== null &&
        // Filter NaN
        !Number.isNaN(value) &&
        // Filter empty arrays
        (!Array.isArray(value) || value.length > 0)
    )
    .reduce((acc, [key, value]) => {
      acc[key] = value;
      return acc;
    }, {});

export default cleanDocument;
