import { spawn } from 'child_process';
import chokidar from 'chokidar';
import debug from 'debug';

const log = debug('catirpel:dev');

let currentProcess = null;

const dev = (caterpillarPath, message) => {
  log('got test message', message);
  chokidar.watch(caterpillarPath).on('all', async (event, path) => {
    log('running', path);
    if (currentProcess) {
      currentProcess.kill();
    }
    currentProcess = spawn('node', [path, `'${JSON.stringify(message)}'`], {
      shell: true,
      stdio: [process.stdin, process.stdout, process.stderr],
    });
  });
};

export default dev;
