import pg from 'pg';

/**
 * @param {(client: import('pg').Client) => Promise<any>} callback
 */
const withDatabaseClient = async callback => {
  const client = new pg.Client();
  await client.connect();
  const result = await callback(client);
  client.end();
  return result;
};

export default withDatabaseClient;
